Skip to main content
`Ctrl`+`K`

# PCHYPRESetBetaPoissonMatrix

Set the Poisson matrix for `PCHYPRE` of type AMS

## Synopsis

    PetscErrorCode PCHYPRESetBetaPoissonMatrix(PC pc, Mat A)

Collective

## Input Parameters

- pc - the preconditioning context

- A - the matrix, or `NULL` to turn it off

## Note

`A` should be obtained by discretizing the Poisson problem with linear finite elements.

## Developer Notes

This automatically converts the matrix to `MATHYPRE` if it is not already of that type

If this is only for `PCHYPRE` type of AMS it should be called `PCHYPREAMSPCHYPRESetBetaPoissonMatrix()`

## See Also

KSP: Linear System Solvers, `PCHYPRE`, `PCHYPRESetDiscreteGradient()`, `PCHYPRESetDiscreteCurl()`, `PCHYPRESetAlphaPoissonMatrix()`

## Level

intermediate

## Location

src/ksp/pc/impls/hypre/hypre.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages